#!/perl
# env.pl
#   display ENVIRONMENTAL VALUE, passed to CGI script
#  (change #!/usr/bin/perl or so, at first line if you need)

use strict;

my ($head,$end);
my ($buffer,$key,$val);
my (@pairs,$pair);

$head =<<END;
Content-type:text/html

<html>
<title>Environment Checker</title>
<body>
END

$end =<<END;
<a href="env.pl">ENVIRONMENT CHECK</a>
</body>
</html>
END

print $head;
if (-t or $ENV{REQUEST_METHOD} eq 'GET'){
  for $key (sort (keys %ENV)){
    print $key," = ",$ENV{$key},"<br>\n";
  }
}elsif($ENV{REQUEST_METHOD} eq 'POST'){
  for $key (sort (keys %ENV)){
    print $key," = ",$ENV{$key},"<br>\n";
  }
  read(STDIN,$buffer,$ENV{CONTENT_LENGTH});
  @pairs = split(/&/,$buffer);
  for $pair (@pairs){
    ($key,$val) = split(/=/,$pair);
    $val =~ tr/+/ /;
    $val =~ s/%([0-9a-fA-F][0-9a-fA-F])/pack("C",hex($1))/eg;
    print $key," = ",$val,"<br>\n";
  }
}else{
  print "UNKNOWN PROTOCOL<br>\n";
}
print $end;

