#
# improxy.pl
#   make imode like style for I.E.

use HTTP::Daemon;
use HTTP::Status;
use LWP::UserAgent;
use Storable;
use strict;

my $style =<< 'END';
<style type="text/css">
<!--
body{
  font-size: 16px;
  font-family: 'MS SVbN';
  letter-spacing: 2px;
}

form      {margin: 0em}
pre       {margin: 0em}
plaintext {margin: 0em}
blockquote{margin: 0em}
menu      {margin: 0em}
ol        {margin: 0em}
ul        {margin: 0em}
dl        {margin: 0em}
dir       {margin: 0em}
h1        {margin: 0em}
h2        {margin: 0em}
h3        {margin: 0em}
h4        {margin: 0em}
h5        {margin: 0em}
h6        {margin: 0em}
-->
</style>
END

my ($d,$c,$req);
my ($ua,$res,$text);
my $emojiref;
my $file = 'emoji';

$emojiref = retrieve($file);
$d = new HTTP::Daemon(LocalPort => 8080);
$ua = new LWP::UserAgent;
#$ua->proxy('http','http://www.hoge.co.jp:8080');
print "improxy ready\n";

while($c = $d->accept){
  unless ($req = $c->get_request){
    print $c->reason,"\n";
    next;
  }
  delete $req->{_headers}{'if-modified-since'};
  delete $req->{_headers}{'if-none-match'};
  $res = $ua->request($req);
  if($res->is_success){
    $text = $res->content;
    $text =~ s{&#(\d+);}
      {sprintf("<img src=\"%s\" , width = 16 , height = 16>",
               $$emojiref{$1})}eg;
    $text =~ s{(<html>)}{$1\n$style};
    $res->content($text);
    $c->send_response($res); 
  }else{
    $c->send_error(RC_FORBIDDEN);
  }
  $c->close;
  undef $c;
}
__DATA__

=head1 

improxy.pl - I.E.p imodeʃG~[gpproxy

=head1 Tv

PCp̃uEUimodeł͎gĂHTML̎dlႤ߁A
悤ȉʃC[Wo܂B̂i[hł
GgĂ܂B̃c[̓X^CV[gg
ʃC[Wi[hɎƂƂɁAGGIFC[W
ɕϊ鏈s܂B

=head1 

uEUɂI.EgĂBeXĝver5.0łB
G\QƕGIFC[Wւ̕ϊɎg߂
'emoji'Ƃt@CɊ܂܂ꂽnbVf[^gp
܂BnbVf[^̎荞݂̂߂ɂStorableW[
KvłBStorableW[ActivePerl̏ꍇppm
găCXg[ł܂B'emoji't@C쐬ɂ͕ʓr
makemoji.plXNvgKvłB

=head1 o[W

̃vO improxy.pl ver 1.0 łB

=head1 

Copyright (c) 2000, \ (keiichi@tokyo.pm.org)
Permission is hereby granted to distribute this document
intact with the Perl distribution, and in accordance with
the licenses of the Perl distribution; derived documents
must include this copyright notice intact.

=cut
