#
# view.pl
#   view storabled data
#      change #!/usr/bin/perl or so, if you need
use Storable;

sub parse($@);

my $file = shift or die "Usage: view.pl FILE";
my $tree = retrieve($file) if (-e $file);
parse($tree,());

sub parse($@)
{
  my $tree  = shift;
  my @offset = @_;
  unless(ref($tree)){
    map {print $_ ,' '}@offset;
    print " = ",$tree,"\n";
  }else{
    for my $key (keys %$tree){
      push @offset,$key;
      parse($tree->{$key},@offset);
      pop @offset;
    }
  }
} 
__DATA__

=head1 

view.pl ical.plŎgpStorablegăt@C
i[f[^mF

=head1 Tv

StorableW[găt@CɊi[nbV
t@X̓GfB^gĂ̂܂ܒg݂邱Ƃ
ł܂B̂߁Ãc[gĒgmF
܂B

=head1 o[W

̃vO view.pl ver.1.0 ł

=head1 

Copyright (c) 2000, \ (keiichi@tokyo.pm.org)
Permission is hereby granted to distribute this document
intact with the Perl distribution, and in accordance with
the licenses of the Perl distribution; derived documents
must include this copyright notice intact.

=cut
